LibreOffice: XPreparedBatchExecution Interface Reference

LibreOffice LibreOffice 5.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XPreparedBatchExecution Interface Referencepublished

is used for batch execution on PreparedStatements. More...

`import"XPreparedBatchExecution.idl";`

Inheritance diagram for XPreparedBatchExecution:

## Public Member Functions
void | addBatch () raises (SQLException)
| adds a set of parameters to the batch. More...
void | clearBatch () raises (SQLException)
| makes the set of commands in the current batch empty. More...
sequence< long > | executeBatch () raises (SQLException)
| submits a batch of commands to the database for execution. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is used for batch execution on PreparedStatements.

A com::sun::star::sdbc::PreparedStatement uses one precompiled SQL Statement. In batch execution it is possible to set collection of parameter settings, which are executed in one batch job.

## Member Function Documentation

void addBatch | ( |  | ) |
raises | ( | SQLException
| ) |  |

adds a set of parameters to the batch.

Exceptions

  SQLException | if a database access error occurs.

void clearBatch | ( |  | ) |
raises | ( | SQLException
| ) |  |

makes the set of commands in the current batch empty.

Exceptions

  SQLException | if a database access error occurs.

sequence<long> executeBatch | ( |  | ) |
raises | ( | SQLException
| ) |  |

submits a batch of commands to the database for execution.

Returns
  an array of update counts containing one element for each command in the batch. The array is ordered according to the order in which commands were inserted into the batch.

Exceptions

  SQLException | if a database access error occurs.

The documentation for this interface was generated from the following file:

- com/sun/star/sdbc/XPreparedBatchExecution.idl